ROI Calculator
curl --request POST \
--url https://api.iotools.cloud/v1/tool/roi-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ioInitialInvestment": 1,
"ioFinalValue": 1,
"ioAdditionalCosts": 1,
"ioIncomeReceived": 1,
"ioYears": 1
}
'import requests
url = "https://api.iotools.cloud/v1/tool/roi-calculator"
payload = {
"ioInitialInvestment": 1,
"ioFinalValue": 1,
"ioAdditionalCosts": 1,
"ioIncomeReceived": 1,
"ioYears": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ioInitialInvestment: 1,
ioFinalValue: 1,
ioAdditionalCosts: 1,
ioIncomeReceived: 1,
ioYears: 1
})
};
fetch('https://api.iotools.cloud/v1/tool/roi-calculator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": "<string>",
"tool_version": "<string>",
"outputs": {
"ioResults": "<string>"
},
"credits_used": 123,
"request_id": "<string>",
"credits_remaining": 123
}{
"type": "https://iotools.cloud/docs/errors/validation_error",
"title": "Invalid request",
"status": 400,
"code": "validation_error",
"detail": "One or more inputs are invalid — see `fields`.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/invalid_api_key",
"title": "Invalid API key",
"status": 401,
"code": "invalid_api_key",
"detail": "Provide 'Authorization: Bearer <key>'.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/insufficient_credits",
"title": "Insufficient credits",
"status": 402,
"code": "insufficient_credits",
"detail": "This call costs 1 credit and 0 remain in this month's allowance.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/tool_not_allowed",
"title": "Tool not available over the API",
"status": 403,
"code": "tool_not_allowed",
"detail": "\"Background Remover\" is available on iotools.cloud but has no API endpoint.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/tool_not_found",
"title": "Tool not found",
"status": 404,
"code": "tool_not_found",
"detail": "No tool with that slug. See GET /v1/tools.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/payload_too_large",
"title": "Payload too large",
"status": 413,
"code": "payload_too_large",
"detail": "Request body exceeds this tool's size limit.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/rate_limited",
"title": "Rate limit exceeded",
"status": 429,
"code": "rate_limited",
"detail": "Too many requests. Retry in 30s.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/processing_error",
"title": "Tool failed to run",
"status": 500,
"code": "processing_error",
"detail": "The tool failed to run. Please try again.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/tool_disabled",
"title": "Tool temporarily disabled",
"status": 503,
"code": "tool_disabled",
"detail": "This tool is temporarily unavailable. Try again shortly.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}Calculators
ROI Calculator
Calculate return on investment (ROI) for any investment. Enter what you put in and what you got back to get net profit, ROI percentage, investment multiple, and annualized ROI (CAGR) when you add a holding period.
POST
/
v1
/
tool
/
roi-calculator
ROI Calculator
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Initial Investment ($)
Required range:
x >= 0Final Value ($)
Required range:
x >= 0Additional Costs / Fees ($)
Required range:
x >= 0Income Received ($)
Required range:
x >= 0Holding Period (Years)
Required range:
x >= 0Response
Tool output
Output-contract version for this tool. Currently "1" for all tools.
Show child attributes
Show child attributes
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Was this page helpful?
⌘I